package betterwithmods.module.hardcore;

import betterwithmods.module.Feature;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.scoreboard.Scoreboard;
import net.minecraft.scoreboard.Team;
import net.minecraftforge.event.entity.EntityJoinWorldEvent;
import net.minecraftforge.fml.common.event.FMLServerStartingEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

/**
 * Created by tyler on 5/21/17.
 */
public class HCNames extends Feature {
    private static final String TEAM = "BWMTeam";
    @Override
    public void serverStarting(FMLServerStartingEvent event) {
        Scoreboard scoreboard = event.getServer().func_130014_f_().func_96441_U();
        if(scoreboard.func_96508_e(TEAM) == null)
            scoreboard.func_96527_f(TEAM);
        scoreboard.func_96508_e(TEAM).func_178772_a(Team.EnumVisible.NEVER);
    }

    @SubscribeEvent
    public void onPlayerJoin(EntityJoinWorldEvent e) {
        if(e.getEntity() instanceof EntityPlayer) {
            EntityPlayer player = (EntityPlayer) e.getEntity();
            Team team = player.func_96124_cp();
            Scoreboard scoreboard = e.getWorld().func_96441_U();
            if(team == null) {
                scoreboard.func_151392_a(player.func_70005_c_(),TEAM);
            }
        }

    }

    @Override
    public boolean hasSubscriptions() {
        return true;
    }

    @Override
    public String getFeatureDescription() {
        return "Disables Player Name Tags";
    }
}
